Skip to navigation

AppendToCallList

View as Markdown

Appends a new task to the existing call list.

This method accepts CSV files with custom delimiters, such a commas (,), semicolons (;) and other. To specify a delimiter, pass it to the delimiter parameter.

Allowed roles: Owner, Admin, Developer, Call list manager.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

list_idintegerOptional

Call list ID. Required unless list_name is provided.

encodingstringOptional

Encoding file. The default value is UTF-8

escapestringOptional
Escape character for parsing csv
delimiterstringOptional

Separator values. The default value is ';'

Request

This endpoint expects a multipart form containing a file.
file_contentfileRequired
Send as the request body or multiform

Response

Successful response
resultbooleanOptional
Whether the request completed successfully
countintegerOptional
Number of stored records
list_idintegerOptional
List ID
batch_idinteger or stringOptional
Batch UUID